%define name	cwallpaper
%define version 0.3
%define release %mkrel 1

Summary: 	Cwallpaper is a GUI front end for wallpaper utilies such as xsetroot.
Name: 		%name
Version: 	%version
Release: 	%release
License: 	GPL
Group: 		Applications/Multimedia
Source:		%{name}-%{version}.tar.gz
BuildRoot: 	%_tmppath/%name-%version-buildroot
Requires:	cwallpaper-update
URL: 		http://www.sourceforge.net/

%description
Cwallpaper is a GUI front end for wallpaper utilies such as xsetroot.

%prep
%setup -q

%build
%{configure} --prefix=%{_prefix}
%{__make} %{?_smp_mflags} %{?mflags}

%install
%{__make} %{?mflags_install} DESTDIR=$RPM_BUILD_ROOT install

%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%{_bindir}/cwallpaper
%{_datadir}/cwallpaper/*

%changelog
* Wed Aug 15 2007 Gettinther <gettinther@gmail.com> 0.3-1pclos_tinyme2007
- rebuild for pclos2007
- Dependency on cwallpaper-update script added by KDulcimer